/**
 * generated by Xtext 2.19.0.M3
 */
package fr.irisa.cairn.graphviz.model.dotty;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see fr.irisa.cairn.graphviz.model.dotty.DottyFactory
 * @model kind="package"
 * @generated
 */
public interface DottyPackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "dotty";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.irisa.fr/cairn/graphviz/model/Dotty";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "dotty";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  DottyPackage eINSTANCE = fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl.init();

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.GraphImpl <em>Graph</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.GraphImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getGraph()
   * @generated
   */
  int GRAPH = 0;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int GRAPH__NAME = 0;

  /**
   * The feature id for the '<em><b>Body</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int GRAPH__BODY = 1;

  /**
   * The number of structural features of the '<em>Graph</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int GRAPH_FEATURE_COUNT = 2;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.CompoundImpl <em>Compound</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.CompoundImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getCompound()
   * @generated
   */
  int COMPOUND = 1;

  /**
   * The feature id for the '<em><b>Nodes</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPOUND__NODES = 0;

  /**
   * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPOUND__ATTRIBUTES = 1;

  /**
   * The feature id for the '<em><b>Sub</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPOUND__SUB = 2;

  /**
   * The number of structural features of the '<em>Compound</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPOUND_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.NodeImpl <em>Node</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.NodeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getNode()
   * @generated
   */
  int NODE = 2;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NODE__NAME = 0;

  /**
   * The number of structural features of the '<em>Node</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int NODE_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.LeafNodeImpl <em>Leaf Node</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.LeafNodeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getLeafNode()
   * @generated
   */
  int LEAF_NODE = 3;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LEAF_NODE__NAME = NODE__NAME;

  /**
   * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LEAF_NODE__ATTRIBUTES = NODE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Leaf Node</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LEAF_NODE_FEATURE_COUNT = NODE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.SubNodeImpl <em>Sub Node</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.SubNodeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getSubNode()
   * @generated
   */
  int SUB_NODE = 4;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SUB_NODE__NAME = NODE__NAME;

  /**
   * The feature id for the '<em><b>Body</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SUB_NODE__BODY = NODE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Sub Node</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SUB_NODE_FEATURE_COUNT = NODE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.AttributeImpl <em>Attribute</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.AttributeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getAttribute()
   * @generated
   */
  int ATTRIBUTE = 5;

  /**
   * The number of structural features of the '<em>Attribute</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ATTRIBUTE_FEATURE_COUNT = 0;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.ShapeAttributeImpl <em>Shape Attribute</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.ShapeAttributeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getShapeAttribute()
   * @generated
   */
  int SHAPE_ATTRIBUTE = 6;

  /**
   * The feature id for the '<em><b>Shape</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SHAPE_ATTRIBUTE__SHAPE = ATTRIBUTE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Shape Attribute</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SHAPE_ATTRIBUTE_FEATURE_COUNT = ATTRIBUTE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.CompoundAttributeImpl <em>Compound Attribute</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.CompoundAttributeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getCompoundAttribute()
   * @generated
   */
  int COMPOUND_ATTRIBUTE = 7;

  /**
   * The feature id for the '<em><b>Compound</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPOUND_ATTRIBUTE__COMPOUND = ATTRIBUTE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Compound Attribute</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COMPOUND_ATTRIBUTE_FEATURE_COUNT = ATTRIBUTE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.ColorAttributeImpl <em>Color Attribute</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.ColorAttributeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getColorAttribute()
   * @generated
   */
  int COLOR_ATTRIBUTE = 8;

  /**
   * The feature id for the '<em><b>Color</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COLOR_ATTRIBUTE__COLOR = ATTRIBUTE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Color Attribute</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int COLOR_ATTRIBUTE_FEATURE_COUNT = ATTRIBUTE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.StyleAttributeImpl <em>Style Attribute</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.StyleAttributeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getStyleAttribute()
   * @generated
   */
  int STYLE_ATTRIBUTE = 9;

  /**
   * The feature id for the '<em><b>Style</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int STYLE_ATTRIBUTE__STYLE = ATTRIBUTE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Style Attribute</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int STYLE_ATTRIBUTE_FEATURE_COUNT = ATTRIBUTE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.LabelAttributeImpl <em>Label Attribute</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.LabelAttributeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getLabelAttribute()
   * @generated
   */
  int LABEL_ATTRIBUTE = 10;

  /**
   * The feature id for the '<em><b>Label</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LABEL_ATTRIBUTE__LABEL = ATTRIBUTE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Label Attribute</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LABEL_ATTRIBUTE_FEATURE_COUNT = ATTRIBUTE_FEATURE_COUNT + 1;

  /**
   * The meta object id for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.RankAttributeImpl <em>Rank Attribute</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.RankAttributeImpl
   * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getRankAttribute()
   * @generated
   */
  int RANK_ATTRIBUTE = 11;

  /**
   * The feature id for the '<em><b>Direction</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RANK_ATTRIBUTE__DIRECTION = ATTRIBUTE_FEATURE_COUNT + 0;

  /**
   * The number of structural features of the '<em>Rank Attribute</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int RANK_ATTRIBUTE_FEATURE_COUNT = ATTRIBUTE_FEATURE_COUNT + 1;


  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.Graph <em>Graph</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Graph</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Graph
   * @generated
   */
  EClass getGraph();

  /**
   * Returns the meta object for the attribute '{@link fr.irisa.cairn.graphviz.model.dotty.Graph#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Graph#getName()
   * @see #getGraph()
   * @generated
   */
  EAttribute getGraph_Name();

  /**
   * Returns the meta object for the containment reference '{@link fr.irisa.cairn.graphviz.model.dotty.Graph#getBody <em>Body</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Body</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Graph#getBody()
   * @see #getGraph()
   * @generated
   */
  EReference getGraph_Body();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.Compound <em>Compound</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Compound</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Compound
   * @generated
   */
  EClass getCompound();

  /**
   * Returns the meta object for the containment reference list '{@link fr.irisa.cairn.graphviz.model.dotty.Compound#getNodes <em>Nodes</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Nodes</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Compound#getNodes()
   * @see #getCompound()
   * @generated
   */
  EReference getCompound_Nodes();

  /**
   * Returns the meta object for the containment reference list '{@link fr.irisa.cairn.graphviz.model.dotty.Compound#getAttributes <em>Attributes</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Attributes</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Compound#getAttributes()
   * @see #getCompound()
   * @generated
   */
  EReference getCompound_Attributes();

  /**
   * Returns the meta object for the containment reference list '{@link fr.irisa.cairn.graphviz.model.dotty.Compound#getSub <em>Sub</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Sub</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Compound#getSub()
   * @see #getCompound()
   * @generated
   */
  EReference getCompound_Sub();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.Node <em>Node</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Node</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Node
   * @generated
   */
  EClass getNode();

  /**
   * Returns the meta object for the attribute '{@link fr.irisa.cairn.graphviz.model.dotty.Node#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Node#getName()
   * @see #getNode()
   * @generated
   */
  EAttribute getNode_Name();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.LeafNode <em>Leaf Node</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Leaf Node</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.LeafNode
   * @generated
   */
  EClass getLeafNode();

  /**
   * Returns the meta object for the containment reference list '{@link fr.irisa.cairn.graphviz.model.dotty.LeafNode#getAttributes <em>Attributes</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Attributes</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.LeafNode#getAttributes()
   * @see #getLeafNode()
   * @generated
   */
  EReference getLeafNode_Attributes();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.SubNode <em>Sub Node</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Sub Node</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.SubNode
   * @generated
   */
  EClass getSubNode();

  /**
   * Returns the meta object for the containment reference '{@link fr.irisa.cairn.graphviz.model.dotty.SubNode#getBody <em>Body</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Body</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.SubNode#getBody()
   * @see #getSubNode()
   * @generated
   */
  EReference getSubNode_Body();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.Attribute <em>Attribute</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Attribute</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.Attribute
   * @generated
   */
  EClass getAttribute();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.ShapeAttribute <em>Shape Attribute</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Shape Attribute</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.ShapeAttribute
   * @generated
   */
  EClass getShapeAttribute();

  /**
   * Returns the meta object for the attribute '{@link fr.irisa.cairn.graphviz.model.dotty.ShapeAttribute#getShape <em>Shape</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Shape</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.ShapeAttribute#getShape()
   * @see #getShapeAttribute()
   * @generated
   */
  EAttribute getShapeAttribute_Shape();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.CompoundAttribute <em>Compound Attribute</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Compound Attribute</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.CompoundAttribute
   * @generated
   */
  EClass getCompoundAttribute();

  /**
   * Returns the meta object for the attribute '{@link fr.irisa.cairn.graphviz.model.dotty.CompoundAttribute#getCompound <em>Compound</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Compound</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.CompoundAttribute#getCompound()
   * @see #getCompoundAttribute()
   * @generated
   */
  EAttribute getCompoundAttribute_Compound();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.ColorAttribute <em>Color Attribute</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Color Attribute</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.ColorAttribute
   * @generated
   */
  EClass getColorAttribute();

  /**
   * Returns the meta object for the attribute '{@link fr.irisa.cairn.graphviz.model.dotty.ColorAttribute#getColor <em>Color</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Color</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.ColorAttribute#getColor()
   * @see #getColorAttribute()
   * @generated
   */
  EAttribute getColorAttribute_Color();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.StyleAttribute <em>Style Attribute</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Style Attribute</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.StyleAttribute
   * @generated
   */
  EClass getStyleAttribute();

  /**
   * Returns the meta object for the attribute '{@link fr.irisa.cairn.graphviz.model.dotty.StyleAttribute#getStyle <em>Style</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Style</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.StyleAttribute#getStyle()
   * @see #getStyleAttribute()
   * @generated
   */
  EAttribute getStyleAttribute_Style();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.LabelAttribute <em>Label Attribute</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Label Attribute</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.LabelAttribute
   * @generated
   */
  EClass getLabelAttribute();

  /**
   * Returns the meta object for the attribute '{@link fr.irisa.cairn.graphviz.model.dotty.LabelAttribute#getLabel <em>Label</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Label</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.LabelAttribute#getLabel()
   * @see #getLabelAttribute()
   * @generated
   */
  EAttribute getLabelAttribute_Label();

  /**
   * Returns the meta object for class '{@link fr.irisa.cairn.graphviz.model.dotty.RankAttribute <em>Rank Attribute</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Rank Attribute</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.RankAttribute
   * @generated
   */
  EClass getRankAttribute();

  /**
   * Returns the meta object for the attribute '{@link fr.irisa.cairn.graphviz.model.dotty.RankAttribute#getDirection <em>Direction</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Direction</em>'.
   * @see fr.irisa.cairn.graphviz.model.dotty.RankAttribute#getDirection()
   * @see #getRankAttribute()
   * @generated
   */
  EAttribute getRankAttribute_Direction();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  DottyFactory getDottyFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.GraphImpl <em>Graph</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.GraphImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getGraph()
     * @generated
     */
    EClass GRAPH = eINSTANCE.getGraph();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute GRAPH__NAME = eINSTANCE.getGraph_Name();

    /**
     * The meta object literal for the '<em><b>Body</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference GRAPH__BODY = eINSTANCE.getGraph_Body();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.CompoundImpl <em>Compound</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.CompoundImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getCompound()
     * @generated
     */
    EClass COMPOUND = eINSTANCE.getCompound();

    /**
     * The meta object literal for the '<em><b>Nodes</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference COMPOUND__NODES = eINSTANCE.getCompound_Nodes();

    /**
     * The meta object literal for the '<em><b>Attributes</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference COMPOUND__ATTRIBUTES = eINSTANCE.getCompound_Attributes();

    /**
     * The meta object literal for the '<em><b>Sub</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference COMPOUND__SUB = eINSTANCE.getCompound_Sub();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.NodeImpl <em>Node</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.NodeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getNode()
     * @generated
     */
    EClass NODE = eINSTANCE.getNode();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute NODE__NAME = eINSTANCE.getNode_Name();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.LeafNodeImpl <em>Leaf Node</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.LeafNodeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getLeafNode()
     * @generated
     */
    EClass LEAF_NODE = eINSTANCE.getLeafNode();

    /**
     * The meta object literal for the '<em><b>Attributes</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference LEAF_NODE__ATTRIBUTES = eINSTANCE.getLeafNode_Attributes();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.SubNodeImpl <em>Sub Node</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.SubNodeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getSubNode()
     * @generated
     */
    EClass SUB_NODE = eINSTANCE.getSubNode();

    /**
     * The meta object literal for the '<em><b>Body</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SUB_NODE__BODY = eINSTANCE.getSubNode_Body();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.AttributeImpl <em>Attribute</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.AttributeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getAttribute()
     * @generated
     */
    EClass ATTRIBUTE = eINSTANCE.getAttribute();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.ShapeAttributeImpl <em>Shape Attribute</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.ShapeAttributeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getShapeAttribute()
     * @generated
     */
    EClass SHAPE_ATTRIBUTE = eINSTANCE.getShapeAttribute();

    /**
     * The meta object literal for the '<em><b>Shape</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SHAPE_ATTRIBUTE__SHAPE = eINSTANCE.getShapeAttribute_Shape();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.CompoundAttributeImpl <em>Compound Attribute</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.CompoundAttributeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getCompoundAttribute()
     * @generated
     */
    EClass COMPOUND_ATTRIBUTE = eINSTANCE.getCompoundAttribute();

    /**
     * The meta object literal for the '<em><b>Compound</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute COMPOUND_ATTRIBUTE__COMPOUND = eINSTANCE.getCompoundAttribute_Compound();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.ColorAttributeImpl <em>Color Attribute</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.ColorAttributeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getColorAttribute()
     * @generated
     */
    EClass COLOR_ATTRIBUTE = eINSTANCE.getColorAttribute();

    /**
     * The meta object literal for the '<em><b>Color</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute COLOR_ATTRIBUTE__COLOR = eINSTANCE.getColorAttribute_Color();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.StyleAttributeImpl <em>Style Attribute</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.StyleAttributeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getStyleAttribute()
     * @generated
     */
    EClass STYLE_ATTRIBUTE = eINSTANCE.getStyleAttribute();

    /**
     * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute STYLE_ATTRIBUTE__STYLE = eINSTANCE.getStyleAttribute_Style();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.LabelAttributeImpl <em>Label Attribute</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.LabelAttributeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getLabelAttribute()
     * @generated
     */
    EClass LABEL_ATTRIBUTE = eINSTANCE.getLabelAttribute();

    /**
     * The meta object literal for the '<em><b>Label</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute LABEL_ATTRIBUTE__LABEL = eINSTANCE.getLabelAttribute_Label();

    /**
     * The meta object literal for the '{@link fr.irisa.cairn.graphviz.model.dotty.impl.RankAttributeImpl <em>Rank Attribute</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.RankAttributeImpl
     * @see fr.irisa.cairn.graphviz.model.dotty.impl.DottyPackageImpl#getRankAttribute()
     * @generated
     */
    EClass RANK_ATTRIBUTE = eINSTANCE.getRankAttribute();

    /**
     * The meta object literal for the '<em><b>Direction</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute RANK_ATTRIBUTE__DIRECTION = eINSTANCE.getRankAttribute_Direction();

  }

} //DottyPackage
